Neighborly Software Logo
Neighborly Software - OpenAPI 3.0

Configuration

Endpoint:https://api.neighborlysoftware.com

Configuration related entities and operations


List drawApprovers

GET
https://api.neighborlysoftware.com
/configuration/drawApprovers

Get a paginated list of draw approvers. Results can be filtered by any property of the resource using query parameters.

Filtering conventions:

  • String properties:

    • property=value — exact match
    • property[contains]=value — substring
    • property[startsWith]=value — prefix
    • property[endsWith]=value — suffix
  • Numeric and date properties:

    • property=value — exact
    • property[gt]=value — greater than
    • property[gte]=value — greater than or equal
    • property[lt]=value — less than
    • property[lte]=value — less than or equal
  • Boolean and integer properties:

    • property=value — exact match

Multiple filters can be combined: GET /items?name[contains]=John&amount[gt]=100&active=true

List drawApproversquery Parameters

  • workflowIdinteger

    Filter by workflow id

    Example: 12345
  • typeinteger

    Filter by type

    Example: 1
  • configDrawApproverGroupIdinteger

    Filter by configDrawApproverGroupId

    Example: 12345
  • namestring

    Filter by name

    Example: Finance Manager
  • pageNumberinteger

    The page number to retrieve

    Example: 1
  • pageSizeinteger

    The number of items per page

    Example: 10
  • sortBystring

    The field to sort by

    Example: ModifiedDate
  • sortOrderstring · enum

    The order to sort by

    Enum values:
    asc
    desc
    Example: desc

List drawApproversResponses

Successful response with a list of draw approvers

  • pageNumberinteger

    The current page number

    Example: 1
  • pageSizeinteger

    The number of items per page

    Example: 100
  • pageCountinteger

    The total number of pages

    Example: 5
  • totalRecordCountinteger

    Total number of records available

    Example: 500
  • recordsobject[]

    List of draws